Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226464 - Merge Review: system-config-network
Summary: Merge Review: system-config-network
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:06 UTC by Nobody's working on this, feel free to take it
Modified: 2009-09-21 20:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-04 14:18:20 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:06:10 UTC
Fedora Merge Review: system-config-network

http://cvs.fedora.redhat.com/viewcvs/devel/system-config-network/
Initial Owner: harald@redhat.com

Comment 1 Parag AN(पराग) 2007-09-28 15:37:55 UTC
Need some SPEC cleanups as rpmlint gave me 
system-config-network.src:11: W: unversioned-explicit-obsoletes isdn-config
system-config-network.src:11: W: unversioned-explicit-obsoletes internet-config
system-config-network.src:11: W: unversioned-explicit-obsoletes rp3
system-config-network.src:11: W: unversioned-explicit-obsoletes
redhat-config-network
system-config-network.src:25: W: unversioned-explicit-obsoletes netcfg
system-config-network.src:25: W: unversioned-explicit-obsoletes
redhat-config-network-tui
system-config-network.src:25: W: unversioned-explicit-obsoletes netconfig
==>  The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

system-config-network.src:26: W: unversioned-explicit-provides
redhat-config-network-tui

==>The specfile contains an unversioned Provides: token, which will match all
older, equal, and newer versions of the provided thing.  This may cause
update problems and will make versioned dependencies, obsoletions and conflicts
on the provided thing useless -- make the Provides versioned if possible.


system-config-network.src: W: invalid-license GPL
system-config-network.noarch: W: no-documentation
system-config-network.noarch: W: no-dependency-on usermode
system-config-network.noarch: E: explicit-lib-dependency libglade2
==> You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.

system-config-network.noarch: W: invalid-license GPL
system-config-network.noarch: W: obsolete-not-provided isdn-config
system-config-network.noarch: W: obsolete-not-provided internet-config
system-config-network.noarch: W: obsolete-not-provided rp3
system-config-network-tui.noarch: W: no-documentation
system-config-network-tui.noarch: E: non-executable-script
/usr/share/system-config-network/netconfpkg/exception.py 0644
system-config-network-tui.noarch: W: invalid-license GPL
==> Update Licenst tag

system-config-network-tui.noarch: W: obsolete-not-provided netcfg
system-config-network-tui.noarch: W: obsolete-not-provided netconfig
==> If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a compatible
replacement for the old one, leave out the provides.

Also,
  Good to use %defattr(-,root,root,-)


Update package. Better to provide new SPEC and SRPM links for this package
before actually committing in CVS.



Comment 2 Parag AN(पराग) 2007-10-16 05:21:47 UTC
ping? any updates?

Comment 4 Parag AN(पराग) 2007-10-16 12:04:28 UTC
Thanks for updates.
With updated SRPM I got following rpmlint messages
system-config-network.noarch: W: incoherent-version-in-changelog 1.4.4 1.4.4-1.fc8
system-config-network.noarch: W: obsolete-not-provided rp3
system-config-network.src: W: strange-permission system-config-network.spec 0600

otherwise package looks ok.


Comment 5 Harald Hoyer 2007-10-16 12:20:39 UTC
system-config-network.noarch: W: incoherent-version-in-changelog 1.4.4 1.4.4-1.fc8
- minor lazyness, b/c this is upstream and releases are normally not incremented

system-config-network.noarch: W: obsolete-not-provided rp3
- The rp3 interface is not provided, but rp3 is obsoleted nevertheless

system-config-network.src: W: strange-permission system-config-network.spec 0600
- will go away, if I build the package in the Fedora infrastructure (this was,
make dist && rpm -ta <tarfile>)


Comment 6 Parag AN(पराग) 2007-10-17 04:39:20 UTC
Review:
+ package builds in mock (development i386).
- rpmlint is Not silent for SRPM but Not for RPM.
system-config-network.noarch: W: incoherent-version-in-changelog 1.4.4 1.4.4-1.fc8
=> I hope you will take care this message while building package next time.
system-config-network.noarch: W: obsolete-not-provided rp3
=>This messages can be ignored for this package.
system-config-network.src: W: strange-permission system-config-network.spec 0600
=> I hope you will take care this message while building package next time.
+ source files match upstream.
9566acdbecea85601ecc39c71a3e24fa  system-config-network-1.4.4.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ gtk-update-icon-cache scriptlets are used.
+ Desktop files are handled correctly.
+ package system-config-network-1.4.4-1.fc8 ->
  Provides: internet-config = 0.40-2.1 isdn-config = 0.18-10.70.1
redhat-config-network = 1.4.4
  Requires: /usr/bin/python gnome-python2 gnome-python2-canvas pygtk2
pygtk2-libglade system-config-network-tui = 1.4.4-1.fc8 usermode
+ package system-config-network-tui-1.4.4-1.fc8 ->
  Provides: config(system-config-network-tui) = 1.4.4-1.fc8 netcfg = 2.36-3p.1
netconf = 0.1-1.1 redhat-config-network-tui = 1.4.4
  Requires: /bin/sh /usr/bin/python config(system-config-network-tui) =
1.4.4-1.fc8 initscripts >= 0:5.99 kudzu newt-python pciutils python rhpl >=
0:0.193 rpm-python usermode
+ GUI app.

APPROVED.


Comment 7 Parag AN(पराग) 2007-10-29 08:39:59 UTC
ping?
is the srpm given in comment #3 is built?

Comment 8 Harald Hoyer 2007-10-29 10:46:53 UTC
no, not yet, because F8 was closed

Comment 9 Parag AN(पराग) 2007-11-12 10:48:01 UTC
Can we now import new SRPM in rawhide?

Comment 11 Parag AN(पराग) 2007-11-12 12:28:35 UTC
you can build for devel also and then we can CLOSE this review.

Comment 12 Parag AN(पराग) 2007-11-29 12:29:58 UTC
I don't see approved package built for f8 or f9.

Comment 14 Parag AN(पराग) 2007-12-06 14:36:28 UTC
thanks

Comment 15 Harald Hoyer 2008-03-27 01:08:53 UTC
Package Change Request
======================
Package Name: system-config-network
New Branches: F-10

Comment 16 Parag AN(पराग) 2008-03-27 01:40:03 UTC
I will prefer this review done by me to be in assigned state to me :)

Comment 17 Harald Hoyer 2008-03-27 01:42:40 UTC
You already closed it :) 

Parag AN(पराग)  	2007-12-06 09:36 EST  	Status  	ASSIGNED  	CLOSED
Resolution 	  	RAWHIDE

Comment 18 Parag AN(पराग) 2008-03-27 01:47:29 UTC
Yes I closed it because this package already completed its review and was in
rawhide at time of closing this.

Please don't remove fedora-review+ flags.Therefore setting it again.

Comment 19 Parag AN(पराग) 2008-03-27 01:53:31 UTC
(In reply to comment #16)
> I will prefer this review done by me to be in assigned state to me :)

yup. I mean to say let the reviews be assigned to reviewer at time of closing
reviews. You reset Assigned to nobody@fedoraproject.org


Harald Hoyer  	2008-03-26 21:11 EST  	CC  	    	notting@redhat.com,
fedora-package-review@redhat.com
AssignedTo 	panemade@gmail.com 	nobody@fedoraproject.org
Status 	ASSIGNED 	CLOSED
QAContact 	fedora-package-review@redhat.com 	extras-qa@fedoraproject.org
Resolution 	  	RAWHIDE
Flag 	fedora-cvs+ 	fedora-cvs? 

Comment 20 Harald Hoyer 2008-03-27 02:03:04 UTC
sry, accidently reopened it, while I just should have set the fedora-cvs flag to "?"

Comment 21 Kevin Fenzi 2008-03-27 02:39:42 UTC
cvs done. 

Note that your new F-9 branch is a clone from current devel. 
You will want to do your F-10/unstable work in the devel branch now. 

Comment 22 Parag AN(पराग) 2008-04-04 14:18:20 UTC
No need to open this review now as cvs is done :)


Note You need to log in before you can comment on or make changes to this bug.